Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I cant install any package or upgrade.. I get always this error.

The following packages have unmet dependencies:

i trid -f install :

erkan@Bella-Ciao:/$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
64 not fully installed or removed.
Need to get 0 B/19.1 kB of archives.
After this operation, 0 B of additional disk space will be used.
Setting up libsync-menu1:amd64 (12.10.5daily13.03.28.1-0ubuntu1) ...
Setting up update-notifier-common (0.134) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing update-notifier-common (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up python-sip (4.14.5-0ubuntu1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-sip (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-qt4:
 python-qt4 depends on sip-api-9.2; however:
  Package sip-api-9.2 is not installed.
  Package python-sip which provides sip-api-9.2 is not configured yet.

dpkg: error processing python-qt4 (--configure):
 dependency problems - leaving unconfigured
Setting up python-twisted-core (12.3.0-1ubuntu6) ...
No apport report written because MaxReports is reached already
                                                              Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-twisted-core (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-twisted-web:
 python-twisted-web depends on python-twisted-core (>= 12.3); however:
  Package python-twisted-core is not configured yet.

dpkg: error processing python-twisted-web (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python-ubuntu-sso-client:
 python-ubuntu-sso-client depends on python-twisted-core; however:
No apport report written because MaxReports is reached already
                                                                Package python-twisted-core is not configured yet.
 python-ubuntu-sso-client depends on python-twisted-web; however:
  Package python-twisted-web is not configured yet.

dpkg: error processing python-ubuntu-sso-client (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of ubuntu-sso-client:
 ubuntu-sso-client depends on python-ubuntu-sso-client (= 4.2.0-0ubuntu1); however:
  Package python-ubuntu-sso-client is not configured yet.

dpkg: error processing ubuntu-sso-client (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ubuntu-sso-client-qt:
 ubuntu-sso-client-qt depends on python-qt4; however:
  Package python-qt4 is not configured yet.
No apport report written because MaxReports is reached already
                                                               ubuntu-sso-client-qt depends on python-ubuntu-sso-client (= 4.2.0-0ubuntu1); however:
  Package python-ubuntu-sso-client is not configured yet.
 ubuntu-sso-client-qt depends on ubuntu-sso-client (= 4.2.0-0ubuntu1); however:
  Package ubuntu-sso-client is not configured yet.

dpkg: error processing ubuntu-sso-client-qt (--configure):
 dependency problems - leaving unconfigured
Setting up alacarte (3.6.1-0ubuntu3) ...
No apport report written because MaxReports is reached already
                                                              Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing alacarte (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up apt-xapian-index (0.45ubuntu2) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing apt-xapian-index (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up duplicity (0.6.21-0ubuntu1.1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing duplicity (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up gconf2 (3.2.6-0ubuntu1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing gconf2 (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up gedit (3.6.2-0ubuntu1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing gedit (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up gir1.2-syncmenu-0.1 (12.10.5daily13.03.28.1-0ubuntu1) ...
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of gnome-applets-data:
 gnome-applets-data depends on gconf2 (>= 2.28.1-2); however:
  Package gconf2 is not configured yet.

dpkg: error processing gnome-applets-data (--configure):
 dependency problems - leaving unconfigured
Setting up gnome-sudoku (1:3.8.1-0ubuntu2) ...
No apport report written because MaxReports is reached already
                                                              Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing gnome-sudoku (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up hplip-data (3.13.3-1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing hplip-data (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of ibus:
 ibus depends on gconf2 (>= 2.28.1-2); however:
  Package gconf2 is not configured yet.

dpkg: error processing ibus (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ibus-pinyin:
 ibus-pinyin depends on ibus (>= 1.3.99.20110419); however:
  Package ibus is not configured yet.

dpkg: error processing ibus-pinyin (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              No apport report written because MaxReports is reached already
                                                                                                                            dpkg: dependency problems prevent configuration of ibus-table:
 ibus-table depends on ibus (>= 1.4.0); however:
  Package ibus is not configured yet.

dpkg: error processing ibus-table (--configure):
 dependency problems - leaving unconfigured
Setting up indicator-sync (12.10.5daily13.03.28.1-0ubuntu1) ...
No apport report written because MaxReports is reached already
                                                              Setting up jockey-common (0.9.7-0ubuntu13) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing jockey-common (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up python-support (1.0.15) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-support (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-mysql.connector:
 python-mysql.connector depends on python-support (>= 0.90.0); however:
  Package python-support is not configured yet.

dpkg: error processing python-mysql.connector (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of mysql-utilities:
 mysql-utilities depends on python-mysql.connector; however:
  Package python-mysql.connector is not configured yet.

No apport report written because MaxReports is reached already
                                                              dpkg: error processing mysql-utilities (--configure):
 dependency problems - leaving unconfigured
Setting up python-pysqlite2 (2.6.3-3) ...No apport report written because MaxReports is reached already

Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-pysqlite2 (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of mysql-workbench:
 mysql-workbench depends on python-mysql.connector; however:
  Package python-mysql.connector is not configured yet.
 mysql-workbench depends on python-pysqlite2; however:
  Package python-pysqlite2 is not configured yet.

dpkg: error processing mysql-workbench (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up python-problem-report (2.9.2-0ubuntu8.1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-problem-report (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-apport:
 python-apport depends on python-problem-report (>= 0.94); however:
  Package python-problem-report is not configured yet.

dpkg: error processing python-apport (--configure):
 dependency problems - leaving unconfigured
Setting up python-gnupginterface (0.3.2-9.1ubuntu3) ...
No apport report written because MaxReports is reached already
                                                              Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-gnupginterface (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up python-libxml2 (2.9.0+dfsg1-4ubuntu4.1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-libxml2 (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-gst0.10:
 python-gst0.10 depends on python-libxml2; however:
  Package python-libxml2 is not configured yet.

dpkg: error processing python-gst0.10 (--configure):
 dependency problems - leaving unconfigured
Setting up python-libproxy (0.4.11-0ubuntu1) ...
No apport report written because MaxReports is reached already
                                                              Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-libproxy (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up python-lxml (3.1.0-1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-lxml (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up python-opengl (3.0.1-1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-opengl (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up python-pip (1.3.1-0ubuntu1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-pip (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up python-pyatspi (2.7.91+dfsg-0ubuntu1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-pyatspi (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: error processing python-software-properties (--configure):
 Package is in a very bad inconsistent state - you should
 reinstall it before attempting configuration.
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-twisted-names:
 python-twisted-names depends on python-twisted-core (>= 12.3); however:
  Package python-twisted-core is not configured yet.

dpkg: error processing python-twisted-names (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-ubuntuone-storageprotocol:
 python-ubuntuone-storageprotocol depends on python-twisted-core; however:
  Package python-twisted-core is not configured yet.
 python-ubuntuone-storageprotocol depends on python-twisted-web; however:
  Package python-twisted-web is not configured yet.

dpkg: error processing python-ubuntuone-storageprotocol (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of python-ubuntuone-client:
 python-ubuntuone-client depends on python-ubuntuone-storageprotocol (>= 3.99.1); however:
  Package python-ubuntuone-storageprotocol is not configured yet.
 python-ubuntuone-client depends on python-twisted-web; however:
  Package python-twisted-web is not configured yet.
 python-ubuntuone-client depends on python-twisted-names; however:
  Package python-twisted-names is not configured yet.

dpkg: error processing python-ubuntuone-client (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up python-uno (1:4.0.2-0ubuntu1) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-uno (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              Setting up rhythmbox (2.98-0ubuntu5) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing rhythmbox (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of rhythmbox-plugin-magnatune:
 rhythmbox-plugin-magnatune depends on rhythmbox (= 2.98-0ubuntu5); however:
  Package rhythmbox is not configured yet.

dpkg: error processing rhythmbox-plugin-magnatune (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of rhythmbox-plugin-zeitgeist:
 rhythmbox-plugin-zeitgeist depends on rhythmbox (>= 2.98-0ubuntu5); however:
  Package rhythmbox is not configured yet.
 rhythmbox-plugin-zeitgeist depends on rhythmbox (<< 2.99); however:
  Package rhythmbox is not configured yet.

dpkg: error processing rhythmbox-plugin-zeitgeist (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              No apport report written because MaxReports is reached already
                                                                                                                            dpkg: dependency problems prevent configuration of rhythmbox-plugins:
 rhythmbox-plugins depends on rhythmbox (= 2.98-0ubuntu5); however:
  Package rhythmbox is not configured yet.

dpkg: error processing rhythmbox-plugins (--configure):
 dependency problems - leaving unconfigured
Setting up software-center-aptdaemon-plugins (0.1.5) ...
No apport report written because MaxReports is reached already
                                                              E: py3compile:185: cannot create directory /usr/lib/python3/dist-packages/softwarecenter_aptd_plugins/__pycache__: FileNotFoundError(2, 'No such file or directory')
[Errno 2] No such file or directory: '/usr/lib/python3/dist-packages/softwarecenter_aptd_plugins/add_license_key_plugin.py'
dpkg: error processing software-center-aptdaemon-plugins (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of oneconf:
 oneconf depends on ubuntu-sso-client; however:
  Package ubuntu-sso-client is not configured yet.

dpkg: error processing oneconf (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up python-oneconf (0.3.3) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing python-oneconf (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of software-center:
 software-center depends on software-center-aptdaemon-plugins; however:
  Package software-center-aptdaemon-plugins is not configured yet.
 software-center depends on python-lxml; however:
  Package python-lxml is not configured yet.
 software-center depends on ubuntu-sso-client; however:
  Package ubuntu-sso-client is not configured yet.
 software-center depends on oneconf (>= 0.2.6); however:
  Package oneconf is not configured yet.
 software-center depends on python-oneconf (>= 0.3) | oneconf (<< 0.3); however:
  Package python-oneconf is not configured yet.
  Version of oneconf on system is 0.3.3.

dpkg: error processing software-center (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up totem (3.6.3-0ubuntu6) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing totem (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of totem-plugins:
 totem-plugins depends on totem (= 3.6.3-0ubuntu6); however:
  Package totem is not configured yet.

dpkg: error processing totem-plugins (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up ubuntu-system-service (0.2.4) ...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
ImportError: No module named site
dpkg: error processing ubuntu-system-service (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: too many errors, stopping
No apport report written because MaxReports is reached already
                                                              Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 update-notifier-common
 python-sip
 python-qt4
 python-twisted-core
 python-twisted-web
 python-ubuntu-sso-client
 ubuntu-sso-client
 ubuntu-sso-client-qt
 alacarte
 apt-xapian-index
 duplicity
 gconf2
 gedit
 gnome-applets-data
 gnome-sudoku
 hplip-data
 ibus
 ibus-pinyin
 ibus-table
 jockey-common
 python-support
 python-mysql.connector
 mysql-utilities
 python-pysqlite2
 mysql-workbench
 python-problem-report
 python-apport
 python-gnupginterface
 python-libxml2
 python-gst0.10
 python-libproxy
 python-lxml
 python-opengl
 python-pip
 python-pyatspi
 python-software-properties
 python-twisted-names
 python-ubuntuone-storageprotocol
 python-ubuntuone-client
 python-uno
 rhythmbox
 rhythmbox-plugin-magnatune
 rhythmbox-plugin-zeitgeist
 rhythmbox-plugins
 software-center-aptdaemon-plugins
 oneconf
 python-oneconf
 software-center
 totem
 totem-plugins
 ubuntu-system-service
Processing was halted because there were too many errors.
E: Sub-process /usr/bin/dpkg returned an error code (1)
share|improve this question
2  
Welcome to askubuntu! Try running sudo apt-get -f install in a terminal, please. Then try sudo apt-get upgrade && sudo apt-get dist-upgrade. –  edwin Jun 30 '13 at 23:33
    
i trid but Processing was halted because there were too many errors. –  erkan demir Jun 30 '13 at 23:41
    
@erkandemir I don't think this is all output you get after running the sudo apt-get -f install command, but just the bottom part. Could you scroll up and include all output from the first line after you pressed [Enter]? –  gertvdijk Jun 30 '13 at 23:43
    
Read How do you recover from a failed upgrade to see if it works for you. In particular, tell us if you have install any PPA's. It might be the case you will have to remove Python and reinstall it. –  edwin Jun 30 '13 at 23:45
    
@gertvdijk i edited all output. –  erkan demir Jun 30 '13 at 23:47
show 2 more comments

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.